﻿using JudgeModule;
using UnityEngine;
using UnityEngine.UI;

public class ScoreDisplayManager : MonoBehaviour
{
    public Text Score;
    public Text Perfect;
    public Text Good;
    public Text Bad;
    public Text Miss;
    public Text Combo;

    // Use this for initialization
    void Start ()
    {
        Score.text   = AllSceneManager.Score.ToString();
        Perfect.text = AllSceneManager.JudgeCount[Judge.JudgeList[0]].ToString();
        Good.text    = AllSceneManager.JudgeCount[Judge.JudgeList[1]].ToString();
        Bad.text     = AllSceneManager.JudgeCount[Judge.JudgeList[2]].ToString();
        Miss.text    = AllSceneManager.JudgeCount[Judge.JudgeList[3]].ToString();
        Combo.text   = AllSceneManager.LongestCombo.ToString();
    }

    // Update is called once per frame
    void Update ()
    {
        if (Input.anyKey)
        {
            AllSceneManager.InitJudgeResult();
            Destroy(this);

            GameManager.Instance.SceneTransition("SetSelect");

            return;
        }
    }
}
