﻿using JudgeModule;
using System.Collections.Generic;

public static class AllSceneManager
{
    private static int                   combo;

    public static int                    LongestCombo,
                                         Score;

    public static Dictionary<Judge, int> JudgeCount
        = new Dictionary<Judge, int>
    {
        { Judge.JudgeList[0], 0 },
        { Judge.JudgeList[1], 0 },
        { Judge.JudgeList[2], 0 },
        { Judge.JudgeList[3], 0 },
    };

    public static int TotalJudge
    {
        get
        {
            int sum = 0;
            foreach (var x in Judge.JudgeList)
                sum += JudgeCount[x];

            return sum;
        }
    }

    public static int Combo
    {
        get
        {
            return combo;
        }
        set
        {
            combo = value;

            if (combo > LongestCombo)
                LongestCombo = combo;
        }
    }

    public static void InitJudgeResult()
    {
        combo = 0;
        LongestCombo = 0;
        Score = 0;
        Judge.JudgeList.ForEach(x => JudgeCount[x] = 0);
    }
}